Source: endesive
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/m32/endesive
Vcs-Browser: https://gitlab.com/kalilinux/packages/endesive
Vcs-Git: https://gitlab.com/kalilinux/packages/endesive.git

Package: python3-endesive
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-certvalidator
Description: library for digital signing and verification of signatures in docs
 This package contains a Python library for digital signing and verification of
 digital signatures in mail, PDF and XML documents.
 .
 The ASN.1 implementation depends on asn1crypto. Cryptographic routines depends
 on cryptography library.
 .
 For certificate verification CertValidator is used.
 .
 This library implements S/MIME handler which can encrypt and decrypt S/MIME
 messages using a public RSA key, in AES-128/192/256 CBC/OFB modes. It can also
 sign and verify S/MIME messages.
 .
 This library implements CAdES-B handler for signing and verifying PDF
 documents in Adobe.PPKLite/adbe.pkcs7.detached form. It can sign documents
 during generation using a modified version of pyfpdf which is included in this
 library. It can also sign documents generated by external programs.
 .
 This library implements XADES BES/T with enveloped and enveloping format for
 creating signed xml files.
 .
 This library implements CMS handler for signing and verifying plain text files
 with detached signature files.
 .
 This package installs the library for Python 3.
